<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
$sitename  = $this->params->get('sitename');
$slogan    = $this->params->get('slogan', '');
$logotype  = $this->params->get('logotype', 'text');
$logoimage = $logotype == 'image' ? $this->params->get('logoimage', T3Path::getUrl('images/logo.png', '', true)) : '';
$logoimgsm = ($logotype == 'image' && $this->params->get('enable_logoimage_sm', 0)) ? $this->params->get('logoimage_sm', T3Path::getUrl('images/logo-sm.png', '', true)) : false;

?>

<!-- HEADER -->
<header id="ja-header" class="wrap ja-header navbar-fixed-top navbar-collapse-fixed-top">
  <div class="container">
    <div class="row">

      <!-- LOGO -->
      <div class="span2">
           <!-- LOGO -->
    <div class="logo">
      <div class="logo-<?php echo $logotype, ($logoimgsm ? ' logo-control' : '') ?>">
        <a href="<?php echo JURI::base(true) ?>" title="<?php echo strip_tags($sitename) ?>">
          <?php if($logotype == 'image'): ?>
            <img class="logo-img <?php if($logoimgsm) : ?> hidden-phone hidden-tablet <?php endif ?>" src="<?php echo JURI::base(true) . '/' . $logoimage ?>" alt="<?php echo strip_tags($sitename) ?>" />
          <?php endif ?>
          <?php if($logoimgsm) : ?>
            <img class="logo-img-sm visible-tablet visible-phone" src="<?php echo JURI::base(true) . '/' . $logoimgsm ?>" alt="<?php echo strip_tags($sitename) ?>" />
          <?php endif ?>
          <span><?php echo $sitename ?></span>
        </a>
        <small class="site-slogan"><?php echo $slogan ?></small>
      </div>
    </div>
    <!-- //LOGO -->
      </div>


      <!-- //LOGO -->

      <!-- HEAD SEARCH -->
      <div class="span10">    
				<?php if( $this->countModules('languageswitcherload') ): ?> 
      	<div class="t3-languages">
      		<jdoc:include type="modules" name="<?php $this->_p('languageswitcherload') ?>" style="raw" />
      	</div>
      	<?php endif; ?>
        <!-- MAIN NAVIGATION -->
        <nav id="t3-mainnav" class="t3-mainnav">
          <div class="navbar">
            <div class="navbar-inner">

              <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
              </button>

              <div class="nav-collapse collapse<?php echo $this->getParam('navigation_collapse_showsub', 1) ? ' always-show' : '' ?>">
                <?php if ($this->getParam('navigation_type') == 'megamenu') : ?>
                  <?php $this->megamenu($this->getParam('mm_type', 'mainmenu')) ?>
                <?php else : ?>
                  <jdoc:include type="modules" name="<?php $this->_p('mainnav') ?>" style="raw" />
                <?php endif ?>
                <?php if( $this->countModules('quicktips') ): ?>
					  		<div id="ja-quick-tips" class="<?php $this->_c('head-search')?>">
					  			<div class="inner">
					  				<span class="arrow">&nbsp;</span>
					  				<jdoc:include type="modules" name="quicktips" style="raw" />
					  			</div>
					  		</div>
					  		<?php endif; ?>
              </div>
            </div>
          </div>
        </nav>
        <!-- //MAIN NAVIGATION -->

      </div>
      <!-- //HEAD SEARCH -->
    </div>
  </div>

  <!-- smooth scroll -->
  <script type="text/javascript">
    !function($) {

      var winurl = window.location.href.replace(/([^\#]*)(.*)/, '$1');

      window.reflow = function () {
        if('ontouchstart' in window){
          document.documentElement.style.width = (document.documentElement.offsetWidth + 1) + 'px';
          setTimeout(function () {
            document.documentElement.style.width = '';
          }, 0);
        }
      };

      $('.navbar ul li a').each (function (){
        var href = this.href,
          target = this.hash ? this.hash : href.replace(/.*(?=#[^\s]+$)/, ''),
          target_url = href.replace(/([^\#]*)(.*)/, '$1');

        if(this.hostname != window.location.hostname || target.substr(0, 1) != '#'){
          return;
        }

        $(this).attr('href', target).data('target', target);
      });

      $('.navbar ul li a').click (function(e) {
        if (!$(this).data('target')){
          return;
        } 

        var target = this.href.replace(/.*(?=#[^\s]+$)/, '');
        if (target && ($(target).length)) {
          e.preventDefault();
          
          $('html,body').animate({scrollTop: Math.max(0, 
                    $(target).offset().top
                     - ((!($('html').hasClass('off-canvas') && $('.btn-navbar').is(':visible')) && $('#ja-header').css('position') == 'fixed') ? $('#ja-header').height() : 0)
                      + 2)}, {
            duration: 800, 
            easing: 'easeInOutCubic',
            complete: window.reflow
          });
        } else { //not found
          var home = $('.navbar ul li a.home').attr('href');
          if(home){
            window.location.href = home.replace(/([^\#]*)(.*)/, '$1') + target;
          }
        }
      });

      $(document).ready(function(){
        var ftarget = window.location.href.replace(/.*(?=#[^\s]+$)/, '');

        if(ftarget.substr(0, 1) == '#'){
          ftarget = $(ftarget);

          if(ftarget.length){
            $('html,body').scrollTop(Math.max(0, ftarget.offset().top - ((!($('html').hasClass('off-canvas') && $('.btn-navbar').is(':visible')) && $('#ja-header').css('position') == 'fixed') ? $('#ja-header').height() : 0) + 1));
            window.reflow();
          }
        }

        var homelink = $('.navbar ul li a.home')[0];
        if(homelink){
          var home_url = homelink.href.replace(/([^\#]*)(.*)/, '$1'),
            home_target = homelink.hash ? homelink.hash : homelink.href.replace(/.*(?=#[^\s]+$)/, '');

          if(home_url == winurl){
            if(home_target.substr(0, 1) != '#'){
              homelink.href = home_target = '#onepage-home';
              $(homelink).data('target', home_target);
            }

            home_target = $(home_target);
            if(!home_target.length){
              home_target = $('<div id="onepage-home" style="width: 0; height: 0; visibility: hidden">').prependTo(document.body);
            }

          } else {
            home_target = null;
          }

          $(homelink).unbind('click').click(function(e){
            
            if(home_target){
              e.preventDefault();
              
              $('html,body').animate({scrollTop: Math.max(0, (home_target.offset().top - $('#ja-header').height() + 2))}, {
                duration: 800, 
                easing: 'easeInOutCubic',
                complete: window.reflow
              });
            }
          });
        }
      });
    }(window.jQuery);
  </script>
  <!-- //smooth scroll -->
</header>
<!-- //HEADER -->
